Bug 498420 - Missing gettext initialisation for glade
Missing gettext initialisation for glade
Status: CLOSED UPSTREAM
Product: Virtualization Tools
Classification: Community
Component: virt-manager (Show other bugs)
unspecified
All All
low Severity medium
: ---
: ---
Assigned To: Daniel Berrange
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-30 08:34 EDT by Emmanuel Lacour
Modified: 2010-03-16 13:19 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-11 12:41:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to fix missing gettext initialisation for glade (464 bytes, patch)
2009-04-30 08:34 EDT, Emmanuel Lacour
no flags Details | Diff

  None (edit)
Description Emmanuel Lacour 2009-04-30 08:34:38 EDT
Created attachment 341917 [details]
Patch to fix missing gettext initialisation for glade

Description of problem:

Some strings are not translated in the UI, even the string is in the .po file.

Version-Release number of selected component (if applicable):

trunk as of 20090430

How reproducible:

each time

Steps to Reproduce:
1. set your locale to fr_FR
2. start virt-manager
  
Actual results:

In the menu, "File" is displayed as "File".

Expected results:

In the menu, "File" should be translated as "Fichier"

Additional info:

The attached patch fixes this problem by setting the gettext domain for glade (only python gettext domain was set up).
Comment 1 Cole Robinson 2009-05-11 12:41:22 EDT
Hmm, seems to work fine here without the patch, but it doesn't seem to hurt, so I've committed a variant of it upstream:

http://hg.et.redhat.com/cgi-bin/hg-virt.cgi/applications/virt-manager--devel/rev/9a1ec5ee501e

Thanks!

Note You need to log in before you can comment on or make changes to this bug.